CCMCheck (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.ccm, class: CCMCheck

Package org.apache.tools.ant.taskdefs.optional.ccm

# Class CCMCheck

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.ccm.Continuus
org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `CCMCheckin`, `CCMCheckinDefault`, `CCMCheckout`

public class CCMCheck extends Continuus
Class common to all check commands (checkout, checkin,checkin default task);

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Vector<FileSet>`
  `filesets`
  `static final String`
  `FLAG_COMMENT`
  -comment flag -- comment to attach to the file
  `static final String`
  `FLAG_TASK`
  -task flag -- associate checkout task with task

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus

  `COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CREATE_TASK, COMMAND_DEFAULT_TASK, COMMAND_RECONFIGURE`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CCMCheck()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFileset(FileSet set)`
  Adds a set of files to copy.
  `void`
  `execute()`
  Executes the task.
  `String`
  `getComment()`
  Get the value of comment.
  `File`
  `getFile()`
  Get the value of file.
  `String`
  `getTask()`
  Get the value of task.
  `void`
  `setComment(String v)`
  Specifies a comment.
  `void`
  `setFile(File v)`
  Sets the path to the file that the command will operate on.
  `void`
  `setTask(String v)`
  Specifies the task number used to check in the file (may use 'default').

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus

  `getCcmAction, getCcmCommand, run, run, setCcmAction, setCcmDir`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_COMMENT

    public static final String FLAG_COMMENT
    -comment flag -- comment to attach to the file
    See Also:
      - Constant Field Values

  - ### FLAG_TASK

    public static final String FLAG_TASK
    -task flag -- associate checkout task with task
    See Also:
      - Constant Field Values

  - ### filesets

    protected Vector<FileSet> filesets

- ## Constructor Details

  - ### CCMCheck

    public CCMCheck()

- ## Method Details

  - ### getFile

    public File getFile()
    Get the value of file.
    Returns:
      value of file.

  - ### setFile

    public void setFile(File v)
    Sets the path to the file that the command will operate on.
    Parameters:
      `v` - Value to assign to file.

  - ### getComment

    public String getComment()
    Get the value of comment.
    Returns:
      value of comment.

  - ### setComment

    public void setComment(String v)
    Specifies a comment.
    Parameters:
      `v` - Value to assign to comment.

  - ### getTask

    public String getTask()
    Get the value of task.
    Returns:
      value of task.

  - ### setTask

    public void setTask(String v)
    Specifies the task number used to check in the file (may use 'default').
    Parameters:
      `v` - Value to assign to task.

  - ### addFileset

    public void addFileset(FileSet set)
    Adds a set of files to copy.
    Parameters:
      `set` - the set of files

  - ### execute

    public void execute() throws BuildException
    Executes the task.

    Builds a command line to execute ccm and then calls Exec's run method to execute the command line.

    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - on error